Status: Resolved Start date: 2015-11-26
Priority: Immediate Due date:
Assignee: Nicholas Jillings % Done: 50%
Category: Estimated time: 0.00 hour
Target version:
Description

The very purpose of the random string is to NOT overwrite files saved at the same time, but this does not seem to happen. Rather, I
hit enter on two machines at once, and both results were saved with a 200 code… but both with the same name, so one has
overwritten the other. 
It seems that whenever the time is exactly the same, the generated string is also the same (unless I got very, very (un)lucky that a
truly randomly generated string came out the same). 
(Both say '[Log] Save OK: Filename "saves/save151126134348-lUoLN8.xml",33701B (core.js, line 685)’)

It was a different HTML file, different set of songs etc. Both in Safari.

Related issues:
Related to Feature # 1456: Files saved to server: higher resolution than seco... Resolved 2015-11-23 2015-11-26

History
#1 - 2015-11-27 09:44 AM - Nicholas Jillings
- Related to Feature #1456: Files saved to server: higher resolution than seconds (or hash) added

#2 - 2015-11-27 09:45 AM - Nicholas Jillings
- % Done changed from 0 to 50

PHP Server now performs SHA1 hash to end of the filename instead of random string generation.

#3 - 2015-11-27 09:46 AM - Nicholas Jillings
- Status changed from New to In Progress

#4 - 2015-12-02 11:38 AM - Nicholas Jillings
- Status changed from In Progress to Resolved
